import os
from celery import Celery


os.environ.setdefault('DJANGO_SETTINGS_MODULE', 'config.settings')

app = Celery('telegram_bots')

app.config_from_object({
    'broker_url': 'redis://127.0.0.1:6379/4',
    'worker_concurrency': 4,
    'ONCE': {
        'backend': 'celery_once.backends.Redis',
        'settings': {
            'url': 'redis://localhost:6379/4',
            'default_timeout': 60 * 60,
        }
    }
})
app.autodiscover_tasks()


@app.task(bind=True)
def debug_task(self):
    print('Request: {0!r}'.format(self.request))
